import request from '@/utils/request'

// 查询任务提交记录列表
export function listTaskSubmit(query) {
  return request({
    url: '/bst/taskSubmit/list',
    method: 'get',
    params: query
  })
}

// 查询任务提交记录详细
export function getTaskSubmit(id) {
  return request({
    url: '/bst/taskSubmit/' + id,
    method: 'get'
  })
}

// 新增任务提交记录
export function addTaskSubmit(data) {
  return request({
    url: '/bst/taskSubmit',
    method: 'post',
    data: data
  })
}

// 修改任务提交记录
export function updateTaskSubmit(data) {
  return request({
    url: '/bst/taskSubmit',
    method: 'put',
    data: data
  })
}

// 删除任务提交记录
export function delTaskSubmit(id) {
  return request({
    url: '/bst/taskSubmit/' + id,
    method: 'delete'
  })
}


// 审核任务提交记录
export function verifyTaskSubmit(data) {
  return request({
    url: '/bst/taskSubmit/verify',
    method: 'put',
    data
  })
}